void VDrawPolygon(Viewport * v, Window win, GC gc, VPolygon * poly)
{
	/*
		FIXME: wrapper to XDrawSegments(): remove as it does not
		conform to Vlib clip area. Not used in src/.
	*/

	VPoint   *p;
	XPoint    xpt[VmaxVP];
	int       i;
	Drawable  d;

	d = (v->flags & VPPixmap) ? (Drawable) v->monoPixmap : (Drawable) win;

	if (poly == (VPolygon *) NULL)
		return;

	for ((i = 0, p = poly->vertex); i < poly->numVtces; (++i, ++p)) {
		if (v->flags & VPPerspective) {
			xpt[i].x = (v->Middl.x + (int) (v->Scale.x * p->x / p->z)) >> 2;
			xpt[i].y = (v->Middl.y - (int) (v->Scale.y * p->y / p->z)) >> 2;
		}
		else {
			xpt[i].x = (v->Middl.x + (int) (v->Scale.x * p->x)) >> 2;
			xpt[i].y = (v->Middl.y - (int) (v->Scale.y * p->y)) >> 2;
		}
	}

	if (i > 0) {
		xpt[i] = xpt[0];
		XDrawLines(v->display, d, gc, xpt, i + 1, CoordModeOrigin);
	}

}


void VDrawString(Viewport * v, Window win, GC gc, VPoint * p, char *str, int len)
{

	/* FIXME: wrapper to X Window, not used by Alib/Vlib/ACM -- remove */

	register int x, y;

	if (v->flags & VPPerspective) {
		x = (v->Middl.x + (int) (v->Scale.x * p->x / p->z)) >> 2;
		y = (v->Middl.y - (int) (v->Scale.y * p->y / p->z)) >> 2;
	}
	else {
		x = (v->Middl.x + (int) (v->Scale.x * p->x)) >> 2;
		y = (v->Middl.y - (int) (v->Scale.y * p->y)) >> 2;
	}

	XDrawString(v->display, win, gc, x, y, str, len);

}


