.TH ACM l "May 24, 2020"
.SH NAME
acm-7.1-dlc \- an aerial combat simulator for X
.SH SYNOPSIS
.B acm
[
.I options
]  
.LP

.SH DESCRIPTION

acm-7.1-dlc ia a generic flight simulator and a distributed air combat
simulator that runs on the X window system.  Players can engage in
simultaneous air combat from different Unix workstations.  Players fly
jet aircraft equipped with radar, heat seeking missiles and cannon.

Please read the complete manual in HTML format that comes with this
package, where more commands and more options available are described.


.SH USAGE REFERENCE
.LP
The following command line options are recognized by acm:
.LP
.TP
-plane MODEL
Select the aircraft type that you'd like to fly:
F-16 (default), MiG-29, Su-30, C-172, B-747, AMX, MD-81, or P51-A.
.TP
-frame-rate N
Limits the displayed frame rate to N frames per second.  If neither 
-frame-rate nor -update-rate are specified, ACM updates the display
as fast as possible, effectively eating all available CPU time.
.TP
-update-rate N
Sets the simulation update rate to N interations per second. If neither 
-frame-rate nor -update-rate are specified, ACM updates the display
as fast as possible, effectively eating all available CPU time.  If 
-frame-rate is supplied alone the update rate defaults to 50 hertz.
.TP
-watch-frame-rate
Print statistics about the actual display frame rate on standard output.
.TP
-dis-sim integer
Sets the DIS simulation address to the specified value.  The DIS
standard defines this address as an enumerated value corresponding to
a geographical site.  For more information, consult the IEEE 1278
protocol definition.
.TP
-dis-appl integer
Sets the DIS application id to the specified value. This value is used
in DIS packets to distinguish your acm application from other DIS
applications running at the same site.
.TP
-js serial-device
Specifies the local serial port where a Colorado Spectrum Workstation
Gameport is attached.  The Gameport allows you to connect PC-compatible
joysticks and use them with ACM.
.TP
-geometry GEOMETRY
An X compatible window geometry specification, typically something like
800x600+0+0.
.TP
-team <1 or 2>
Specifies the team to be on.  The default airfields are ~200 nm apart.
Team 1 flies an F-16 and launches MiG-29 drones; vice-versa for Team 2.
.TP
-team_1 short name of the TEAMLOC record for to use for team 1
Indirectly specifies the starting location for Team 1.
.TP
-team_2 short name of the TEAMLOC record for to use for team 2
Indirectly specifies the starting location for Team 2.


.SH HOW TO TAKE-OFF


By default, your mouse is the control stick.  The neutral position is the
center of your application's X window.
Moving the mouse away from you (the mouse cursor goes higher) pitches the
plane's nose down, while pulling it back pitches the nose up.
Left and right inputs roll the aircraft in the corresponding direction.
On the ground at speeds up to 50 kts, nose wheel steering controlled by
mouse left/right movements guides the aircraft, but get it back to center
before hitting that velocity.

To take off for the first time, select 20 degrees of flaps (press
.B h
twice), then press the full throttle key (the
.B 4
key on the main keyboard) and the
.B b
key to release the brakes.
Keep the mouse in the neutral position until you are moving at about 140
kts, then pull the mouse about two-thirds of the way down the view window.
You should pitch up and lift off the ground fairly easily.  Gradually move
the stick closer to the neutral position and let your airspeed build --
don't move it back to neutral too quickly or you will end up back on the
ground again!  As your airspeed passes about 200 kts, raise the flaps
(press
.B y
twice) and landing gear (press 
.B g
).  Congratulations, you're flying a precision piece of very expensive
machinery.  Now land it safely...

"A great landing is when the pilot can walk away from it.  An outstanding
landing is when the aircraft can be reused the next day." --Chuck Yeager


.SH ENGINE CONTROLS


The following keys control your engine thrust:

.LP
	4	Full Power
.LP
	3	Increase Power (about 2 percent)
.LP
	2	Decrease Power (about the same amount)
.LP
	1	Idle Power
.LP
	a	Toggle Afterburner

Your engine gauge displays the power that you are generating.  Below that,
you have displays showing your total fuel remaining as well as your current
fuel consumption rate.  The afterburner uses fuel at an amazing rate; use it
wisely.


.SH LOOKING AROUND


The following layout shows the new keys that direct the view from the aircraft
in the six primary directions.
The keys of the numeric keypad for controlling these views are still effective
but have been deprecated and all pilots should transition to using these keys
instead:

 +-------+-------+-------+-------+-------+-------+-------+-------+
 |   e   |   r   |   t   |   y   |   u   |   i   |   o   |   p   |
 | View  |       |       |       | View  |       | View  | View  |
 |  Up   |       |       |       | Forwd |       | Left  | Right |
 -----------------------------------------------------------------
   |   d   |   f   |   g   |   h   |   j   |   k   |   l   |
   |       | View  |       |       |       | View  |       |
   |       | Down  |       |       |       | Aft   |       |
   +-------+-------+-------+-------+-------+-------+-------+

It pays to look around when you're in a combat environment.  Your chances
of staying alive increase remarkably.


.SH THE HEADS UP DISPLAY (HUD)


On the left side of the HUD is a ladder showing your current airspeed in
nautical miles per hour (it displays true airspeed).  Above that, in the
upper left corner, is a G-meter.  

The right ladder shows altitude; above that is a readout of your current
angle-of-attack in degrees ("a=X.X").
Your jet will stall at a 30 degrees positive angle of attack and negative
16 degrees.

The airplane symbol (something like "-O-") shows the direction
that the relative wind is coming from.  The relative wind combines your
current angles of attack and sideslip.  A ladder in the center of the
HUD show your aircraft's current attitude. 

The lower, horizontal ladder shows your current heading.  Discretes in the
lower left-hand corner show the state of your weapons systems.  Slightly
above them is a readout of your current thrust percentage as well as the
state of your engine's afterburner -- the "AB" symbol means the
afterburner is on.

You can change the color and brightness of the HUD display using the 'C'
and 'B' keys.  Pressing 'C' cycles through green, red, blue, and gray and
pressing 'B' cycles through brightest, bright, normal, and dark.
Speaking of changing colors, the 'G' key cycles through ground colors.


.SH USING YOUR RADAR DISPLAY


The radar system has a field of view of 130 degrees vertically and side-to-side.
Radar automatically locks onto the closest threat in its field of view.  A
locked target is displayed as a solid block.  Other hostile targets are 
displayed as hollow squares.

Targeting information is displayed in the lower right corner of the display.
The top number is the heading of the locked target, the next number is the
relative heading you should steer to intercept the target (displayed as
"ddd R", and the third number is the rate that you are closing with this
target, expressed in knots.

You can lock onto other targets by pressing the target designator key (Q).


.SH WHO'S GUNNING FOR ME?


Radar sets that are tracking your aircraft can be detected.  Your Threat
Early Warning System (TEWS) display warns you of potential threats.  This
circular display shows the relative direction of radars (other aircraft)
that are looking at you.

.SH ARMAMENTS


Your aircraft is equipped with heat-seeking missiles and a 20 millimeter
cannon.  Weapon information is displayed in the lower left-hand corner of
your HUD.  Different weapons may be selected by pressing mouse button 3.

The missiles are patterned after U.S. AIM-9M Sidewinders.  They can
detect infrared (IR) targets at any aspect (not just from the rear).  Their
range varies dramatically with the altitude and closure rate.  The
missile subsystem couples with your radar set to provide time-to-impact
information when AIM-9's are selected.


.SH EXAMPLES

 acm -js /dev/tty0 -team 1 -team_1 ICOE

 acm -geometry 1000x500 

.SH KEYBOARD COMMAND LIST

Stick and Rudder Controls

.LP
.B z
-- Rudder Left
.LP
.B c
-- Rudder Right
.LP
.B x
-- Center the Rudder

.LP
By default, the Mouse is your stick.  It controls pitch and roll.
However, you can toggle between using the mouse and
the keyboard for controlling pitch and roll.

.LP
.B m
-- Toggle between using the mouse and the keyboard as the stick
(requires two m presses within two seconds)
.LP
.B U
-- Toggle display of the keyboard cursor, a yellow square with
a red border that functions like the X cursor when the keyboard is the
stick and also serves as a target for synchronizing the X cursor just
before switching back to the mouse stick (avoiding possibly catastrophic
roll or pitch changes)

When using the keyboard as the stick:

.LP
.B ArrowUp
-- like mouse forward (cursor/tail/airspeed up, elevator/nose/AoA down)
.LP
.B ArrowDown
-- like mouse backward (cursor/tail/airspeed down, elevator/nose/AoA up)
.LP
.B ArrowLeft
-- like mouse left (roll counter-clockwise, steer nosewheel left)
.LP
.B ArrowRight
-- like mouse right (roll clockwise, steer nosewheel right)

.LP
When using the keyboard stick, the default magnitude of each key
click is one pixel.  This can be adjusted:

.LP
.B PageUp
-- Increase magnitude by one (maximum is 99)
.LP
.B PageDown
-- Decrease magnitude by one (minimum is 1)



Engine Controls

.LP
.B 4
-- Full Power
.LP
.B 3
-- Increase Power
.LP
.B 2
-- Decrease Power
.LP
.B 1
-- Idle
.LP
.B a
-- Toggle Afterburner State



Radar Controls

.LP
.B r
-- Toggle Radar State (On/Standby)
.LP
.B q
-- Target Designator



Flaps

.LP
.B h
-- Extend 10 degrees
.LP
.B y
-- Retract 10 degrees



Speed Brakes

.LP
.B s
-- Extend
.LP
.B w
-- Retract


Weapon Controls

.LP
Key
.B v
or Mouse Button
.B 2
-- Fire the selected weapon (the button and key both fire
as long as they are depressed)
.LP
Key
.B V
or Mouse Button
.B 3
-- Select another weapon


Other Controls

.LP
.B g
-- Retract/Extend landing gear
.LP
.B j
-- Set pitch trim to the control stick's current pitch setting
.LP
.B l
(lowercase L) -- Launch a target drone
.LP
.B Q
-- Quit the game (requires two Q presses within two seconds)
.LP
.B C
-- Change the HUD display color
.LP
.B B
-- Change the HUD Brightness


.SH AUTHOR
Riley Rainey <rainey@netcom.com> is the original author of acm-5.0.
Umberto Salsi <salsi@icosaedro.it> made the enhancements published as
`acm-5.0-ico' and `acm-6.0-ico'.
David L. Craig <dlc.usa@gmail.com> made the enhancements published as
`acm-7.0-dlc' and 'acm-7.1-dlc'.
