/*
 *  acm : an aerial combat simulator for X
 *  Air and wind properties module.
 *  Copyright (C) 1991-1998  Riley Rainey
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

#ifndef _air_h
#define _air_h

#include <Vlibmath.h>

double air_calc_rho(double alt, double *mach);
/*
	Calculate air density and the speed of sound.
*/

void air_set_wind(double wd, double wv);
/*
	Sets wind direction (wd [DEG]) and velocity (wv [kt]).
	Default: no wind.
*/

void air_set_gust(double gust_max);
/*
	Set maximum gust intensity (ft/s).
	Default: no gust.
*/

VPoint * air_get_wind(double altitude);
/*
	Return wind speed (ft/s) at the given altitude (m).
*/

#endif
