/*
 *  acm : an aerial combat simulator for X
 *  Copyright (C) 1991-1998  Riley Rainey
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

/*
	CCIP - Constantly Computed Impact Point

	This module implements the Mark 82 drop bomb.
*/

#ifndef _ccip_h
#define _ccip_h

#include "weapon.h"

WeaponDesc * ccip_new(void);
/*
	Creates weapon description record for the Mark 82 drop bomb.
*/

int ccip_bombCalculations(craft * c);
/*
	Update bomb flight dynamics. Return non-zero if the bom hit the
	ground.
*/

int ccip_killBomb(craft * c);

#endif
