/*
 *  acm : an aerial combat simulator for X
 *  Copyright (C) 1991-1998  Riley Rainey
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

#ifndef _init_h
#define _init_h

#include <stdio.h>

#ifdef INIT_INTERNAL_GLOBAL_VAR
	char *sceneFile = NULL;
	#undef INIT_INTERNAL_GLOBAL_VAR
#else
	extern char *sceneFile;
#endif

int init(char *objects);
FILE * acm_fopen(char *name, char *access);
char * acm_find_file(char *name);

int split(char *s, int *argc, char *argv[], int max_argc);
/*
	Split the string 's' at the spaces/HT/CR characters. Two or more
	spaces/HT/CR count as a single separator. 'max_argc' is the number of
	elements available in the array argv[]. Returns in argc the number
	of fields found, 0 <= argc <= max_argc and argv[] is the vector of
	pointers to the first char of every field. The string gets modified to
	add the terminator '\0' after every field. Return TRUE on success,
	or FALSE if the given string contains more than max_argc fields.
*/

void freeAll(void);

#endif
