#include "list.h"
#include "mem_manager.h"


list * list_new()
{
	list *l;

	l = MALLOC( sizeof( list ) );
	l->size = 0;
	l->n = 0;
	l->arr = NULL;
	return l;
}


void list_free(list *l)
{
	int i;

	if( l == NULL )
		return;
	
	for( i = l->n-1; i >=0; i-- )
		FREE(l->arr[i]);
	FREE(l->arr);
	FREE(l);
}


void list_add_elem(list *l, char *s)
{
	if( l->n >= l->size ){
		l->size = l->size * 2 + 50;
		l->arr = REALLOC(l->arr, l->size * sizeof(char *));
	}

	l->arr[ l->n++ ] = STRDUP(s);
}


void list_add_list(list *l, list *q)
{
	int i;

	if( q == NULL )
		return;
	
	for( i = 0; i < q->n; i++ )
		list_add_elem(l, q->arr[i]);
}
