/*
 *  acm : an aerial combat simulator for X
 *  Copyright (C) 1991-1998  Riley Rainey
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

#ifndef _m61a1_h
#define _m61a1_h

#include "pm.h"
#include "weapon.h"

#ifdef IMPORT_M61A1
	#define EXTERN
#else
	#define EXTERN extern
#endif

EXTERN Point m61a1_lcos_last_pos;
/*
	The display routine of this modules saves here the position of the
	LCOS reticule on the HUD. The HUD module then uses this value to
	decide if to draw or not the designator marker.
*/

WeaponDesc * m61a1_new(void);
/*
	Creates a new description record for the M61A1 cannon.
*/

void lookForCannonImpacts(craft * m);
/*
	Track cannon shells and look for impacts with aircraft. This algorithm
	tracks each shell's flight. This func. used also by missile.c.
*/

_BOOL cannonCalculations(craft * c);
/*
	Update cannon shell position. Returns TRUE after 10 s of flight or when
	it strike the ground.
*/

void killCannonShell(craft * c, craft * target);
/*
	Remove the shell, usually after cannonCalculations() returned TRUE.
*/

#endif
