/*
 *  acm : an aerial combat simulator for X
 *  Magnetic compass module
 *  Copyright (C) 2007  Umberto Salsi
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

#ifndef _magnetic_compass_h
#define _magnetic_compass_h

#include "pm.h"

void magnetic_compass_enable(viewer *u);
void magnetic_compass_disable(viewer *u);
/*
	Enable/disable the magnetic compass for this particular viewer.
	If u->magnetic_compass is NULL, instantiate with a pointer to internal
	data.
*/

void magnetic_compass_free(viewer *u);
/* Release magnetic_compass data u->magnetic_compass. */

void magnetic_compass_free_all(void);
/* Release internal data of the module */

void magnetic_compass_draw(viewer * u);
/*
	Draw magnetic compass.
	If no magnetic compass active in this viewer, do nothing.
*/

#endif
