/*
 *  acm : an aerial combat simulator for X
 *  Copyright (C) 1991-1998  Riley Rainey
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

/*
 *  2014-12-29 dlc - Refer to CHANGES text file for details of modifications
 */
 
#ifndef _mouse_h
#define _mouse_h

#include "pm.h"

#ifdef MOUSE_INTERNAL_GLOBAL_VAR
	#define EXTERN
#else
	#define EXTERN extern
#endif
EXTERN enum {MOUSE_FAST, MOUSE_NORMAL, MOUSE_PRECISE} mouse_stick_mode;
#ifdef EXTERN
	#undef EXTERN
#endif


void getStick(craft * c, viewer * u, int keycmd);
/*
	Get stick input from mouse c->pitchComm, c->rollComm, and c->steerComm
	as values in the range [-1.0 ... +1.0]. If detached, keeps current
	values.  If noMorJ mode, process keycmd request.
*/

#endif
