/*
 *  acm : an aerial combat simulator for X
 *  Copyright (C) 1991-1998  Riley Rainey
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

#ifndef _radar_h
#define _radar_h

#include "pm.h"

void setRadarMode(craft * c, int mode);

void enableRadar(craft * c, int mode);

void disableRadar(craft * c);

void doDroneRadar(craft * c);

void doRadar(craft * c, viewer * u);
/*
	Draw the radar display or do nothing if radar disabled
*/

void doTEWS(craft * c, viewer * u);
/*
	Draw the TEWS display or do nothing if radar disabled
*/

int newRadarTarget(craft * c);
/*
	Get a new radar target
*/

#endif
