/*
 *  acm : an aerial combat simulator for X
 *  Copyright (C) 1991-1998  Riley Rainey
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

#ifndef _render_h
#define _render_h

#include <Vlib.h>
#include "pm.h"

/* outside view types */

typedef enum {
	VIEW_FORWARD,
	VIEW_UP,
	VIEW_DOWN,
	VIEW_LEFT,
	VIEW_RIGHT,
	VIEW_AFT,
	VIEW_CHASE
} ViewDirection;

#ifdef RENDER_INCLUDE
	#define RENDER_EXTERN
#else
	#define RENDER_EXTERN extern
#endif

RENDER_EXTERN enum {RENDER_DAYLIGHT, RENDER_NIGHT} render_lighting;
#undef RENDER_INCLUDE
#undef RENDER_EXTERN

void doViews(void);
void freeRendering (void);
void setOutsideView(craft * c, viewer *u, ViewDirection v);

#endif
