#ifndef _runway_h
#define _runway_h

#include "pm.h"

VPolySet *
runway_build(char *id, VMatrix * RWYtoXYZ, double length, double width, double heading);
/*
 *  Build runway polygons.
 *  
 *  Parameters:
 *  
 *  id: runway ends names separated by '/', ex. "10L/36R", in any order,
 *  7 chars max.
 *  
 *  RWYtoXYZ: runway-to-world coord. transformation with origin in the
 *  middle of the runway, with x pointing in the range [0,180[ DEG of the
 *  geographical coors. and z pointing down.
 *  
 *  length, width: runway length and width (meters).
 *
 *  heading: runway heading; it MUST be normalized to the range [0,pi[.
 *  
 *  Return: a set of polygons.
 */

void runway_free_all(void);
/*
 *	Release data allocated by this module
 */

#endif
